<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../stylesheet.css">
<link rel="start" href="../../../overview-summary.html">

<title>doclets/standard/todoWriter.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/todowriter.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>doclets/standard/todoWriter.php</h1>
<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/*
<a name="line3"></a>PHPDoctor: The PHP Documentation Creator
<a name="line4"></a>Copyright (C) 2005 Paul James <paul@peej.co.uk>
<a name="line5"></a>
<a name="line6"></a>This program is free software; you can redistribute it and/or modify
<a name="line7"></a>it under the terms of the GNU General Public License as published by
<a name="line8"></a>the Free Software Foundation; either version 2 of the License, or
<a name="line9"></a>(at your option) any later version.
<a name="line10"></a>
<a name="line11"></a>This program is distributed in the hope that it will be useful,
<a name="line12"></a>but WITHOUT ANY WARRANTY; without even the implied warranty of
<a name="line13"></a>MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
<a name="line14"></a>GNU General Public License for more details.
<a name="line15"></a>
<a name="line16"></a>You should have received a copy of the GNU General Public License
<a name="line17"></a>along with this program; if not, write to the Free Software
<a name="line18"></a>Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
<a name="line19"></a>*/
<a name="line20"></a>
<a name="line21"></a>/** This generates the todo elements index.
<a name="line22"></a> *
<a name="line23"></a> * @package PHPDoctor\Doclets\Standard
<a name="line24"></a> */
<a name="line25"></a>class TodoWriter extends HTMLWriter
<a name="line26"></a>{
<a name="line27"></a>
<a name="line28"></a>	/** Build the todo index.
<a name="line29"></a>	 *
<a name="line30"></a>	 * @param Doclet doclet
<a name="line31"></a>	 */
<a name="line32"></a>	function todoWriter(&$doclet)
<a name="line33"></a>    {
<a name="line34"></a>	
<a name="line35"></a>		parent::HTMLWriter($doclet);
<a name="line36"></a>		
<a name="line37"></a>		$rootDoc =& $this->_doclet->rootDoc();
<a name="line38"></a>
<a name="line39"></a>        $this->_sections[0] = array('title' => 'Overview', 'url' => 'overview-summary.html');
<a name="line40"></a>        $this->_sections[1] = array('title' => 'Namespace');
<a name="line41"></a>        $this->_sections[2] = array('title' => 'Class');
<a name="line42"></a>        //$this->_sections[3] = array('title' => 'Use');
<a name="line43"></a>        $this->_sections[4] = array('title' => 'Tree', 'url' => 'overview-tree.html');
<a name="line44"></a>        if ($doclet->includeSource()) $this->_sections[5] = array('title' => 'Files', 'url' => 'overview-files.html');
<a name="line45"></a>        $this->_sections[6] = array('title' => 'Deprecated', 'url' => 'deprecated-list.html');
<a name="line46"></a>        $this->_sections[7] = array('title' => 'Todo', 'selected' => TRUE);
<a name="line47"></a>        $this->_sections[8] = array('title' => 'Index', 'url' => 'index-all.html');
<a name="line48"></a>        
<a name="line49"></a>        $todoClasses = array();
<a name="line50"></a>        $classes =& $rootDoc->classes();
<a name="line51"></a>        $todoFields = array();
<a name="line52"></a>        $todoMethods = array();
<a name="line53"></a>        if ($classes) {
<a name="line54"></a>            foreach ($classes as $class) {
<a name="line55"></a>                if ($class->tags('@todo')) {
<a name="line56"></a>                    $todoClasses[] = $class;
<a name="line57"></a>                }
<a name="line58"></a>                $fields =& $class->fields();
<a name="line59"></a>                if ($fields) {
<a name="line60"></a>                    foreach ($fields as $field) {
<a name="line61"></a>                        if ($field->tags('@todo')) {
<a name="line62"></a>                            $todoFields[] = $field;
<a name="line63"></a>                        }
<a name="line64"></a>                    }
<a name="line65"></a>                }
<a name="line66"></a>                $classes =& $class->methods();
<a name="line67"></a>                if ($classes) {
<a name="line68"></a>                    foreach ($classes as $method) {
<a name="line69"></a>                        if ($method->tags('@todo')) {
<a name="line70"></a>                            $todoMethods[] = $method;
<a name="line71"></a>                        }
<a name="line72"></a>                    }
<a name="line73"></a>                }
<a name="line74"></a>            }
<a name="line75"></a>        }
<a name="line76"></a>        $todoGlobals = array();
<a name="line77"></a>        $globals =& $rootDoc->globals();
<a name="line78"></a>        if ($globals) {
<a name="line79"></a>            foreach ($globals as $global) {
<a name="line80"></a>                if ($global->tags('@todo')) {
<a name="line81"></a>                    $todoGlobals[] = $global;
<a name="line82"></a>                }
<a name="line83"></a>            }
<a name="line84"></a>        }
<a name="line85"></a>        $todoFunctions = array();
<a name="line86"></a>        $functions =& $rootDoc->functions();
<a name="line87"></a>        if ($functions) {
<a name="line88"></a>            foreach ($functions as $function) {
<a name="line89"></a>                if ($function->tags('@todo')) {
<a name="line90"></a>                    $todoFunctions[] = $function;
<a name="line91"></a>                }
<a name="line92"></a>            }
<a name="line93"></a>        }
<a name="line94"></a>        
<a name="line95"></a>        ob_start();
<a name="line96"></a>        
<a name="line97"></a>        echo "<hr>\n\n";
<a name="line98"></a>        
<a name="line99"></a>        echo '<h1>Todo</h1>';
<a name="line100"></a>
<a name="line101"></a>        echo "<hr>\n\n";
<a name="line102"></a>        
<a name="line103"></a>        if ($todoClasses || $todoFields || $todoMethods || $todoGlobals || $todoFunctions) {
<a name="line104"></a>            echo "<h2>Contents</h2>\n";
<a name="line105"></a>            echo "<ul>\n";
<a name="line106"></a>            if ($todoClasses) {
<a name="line107"></a>                echo '<li><a href="#todo_class">Todo Classes</a></li>';
<a name="line108"></a>            }
<a name="line109"></a>            if ($todoFields) {
<a name="line110"></a>                echo '<li><a href="#todo_field">Todo Fields</a></li>';
<a name="line111"></a>            }
<a name="line112"></a>            if ($todoMethods) {
<a name="line113"></a>                echo '<li><a href="#todo_method">Todo Methods</a></li>';
<a name="line114"></a>            }
<a name="line115"></a>            if ($todoGlobals) {
<a name="line116"></a>                echo '<li><a href="#todo_global">Todo Globals</a></li>';
<a name="line117"></a>            }
<a name="line118"></a>            if ($todoFunctions) {
<a name="line119"></a>                echo '<li><a href="#todo_function">Todo Functions</a></li>';
<a name="line120"></a>            }
<a name="line121"></a>            echo "</ul>\n";
<a name="line122"></a>        }
<a name="line123"></a>        
<a name="line124"></a>        if ($todoClasses) {
<a name="line125"></a>            echo '<table id="todo_class" class="detail">', "\n";
<a name="line126"></a>            echo '<tr><th colspan="2" class="title">Todo Classes</th></tr>', "\n";
<a name="line127"></a>            foreach($todoClasses as $class) {
<a name="line128"></a>                $todoTag =& $class->tags('@todo');
<a name="line129"></a>                echo '<tr><td class="name"><a href="', $class->asPath(), '">', $class->qualifiedName(), '</a></td>';
<a name="line130"></a>                echo '<td class="description">';
<a name="line131"></a>                if ($todoTag) echo strip_tags($this->_processInlineTags($todoTag, TRUE), '<a><b><strong><u><em>');
<a name="line132"></a>                echo "</td></tr>\n";
<a name="line133"></a>            }
<a name="line134"></a>            echo "</table>\n\n";
<a name="line135"></a>        }
<a name="line136"></a>        
<a name="line137"></a>        if ($todoFields) {
<a name="line138"></a>            echo '<table id="todo_field" class="detail">', "\n";
<a name="line139"></a>            echo '<tr><th colspan="2" class="title">Todo Fields</th></tr>', "\n";
<a name="line140"></a>            foreach ($todoFields as $field) {
<a name="line141"></a>                $todoTag =& $field->tags('@todo');
<a name="line142"></a>                echo "<tr>\n";
<a name="line143"></a>                echo '<td class="name"><a href="', $field->asPath(), '">', $field->qualifiedName(), "</a></td>\n";
<a name="line144"></a>                echo '<td class="description">';
<a name="line145"></a>                if ($todoTag) echo strip_tags($this->_processInlineTags($todoTag, TRUE), '<a><b><strong><u><em>');
<a name="line146"></a>                echo "</td>\n";
<a name="line147"></a>                echo "</tr>\n";
<a name="line148"></a>            }
<a name="line149"></a>            echo "</table>\n\n";
<a name="line150"></a>        }
<a name="line151"></a>        
<a name="line152"></a>        if ($todoMethods) {
<a name="line153"></a>            echo '<table id="todo_method" class="detail">', "\n";
<a name="line154"></a>            echo '<tr><th colspan="2" class="title">Todo Methods</th></tr>', "\n";
<a name="line155"></a>            foreach($todoMethods as $method) {
<a name="line156"></a>                $todoTag =& $method->tags('@todo');
<a name="line157"></a>                echo "<tr>\n";
<a name="line158"></a>                echo '<td class="name"><a href="', $method->asPath(), '">', $method->qualifiedName(), "</a></td>\n";
<a name="line159"></a>                echo '<td class="description">';
<a name="line160"></a>                if ($todoTag) echo strip_tags($this->_processInlineTags($todoTag, TRUE), '<a><b><strong><u><em>');
<a name="line161"></a>                echo "</td>\n";
<a name="line162"></a>                echo "</tr>\n";
<a name="line163"></a>            }
<a name="line164"></a>            echo "</table>\n\n";
<a name="line165"></a>        }
<a name="line166"></a>        
<a name="line167"></a>        if ($todoGlobals) {
<a name="line168"></a>            echo '<table id="todo_global" class="detail">', "\n";
<a name="line169"></a>            echo '<tr><th colspan="2" class="title">Todo Globals</th></tr>', "\n";
<a name="line170"></a>            foreach($todoGlobals as $global) {
<a name="line171"></a>                $todoTag =& $global->tags('@todo');
<a name="line172"></a>                echo "<tr>\n";
<a name="line173"></a>                echo '<td class="name"><a href="', $global->asPath(), '">', $global->qualifiedName(), "</a></td>\n";
<a name="line174"></a>                echo '<td class="description">';
<a name="line175"></a>                if ($todoTag) echo strip_tags($this->_processInlineTags($todoTag, TRUE), '<a><b><strong><u><em>');
<a name="line176"></a>                echo "</td>\n";
<a name="line177"></a>                echo "</tr>\n";
<a name="line178"></a>            }
<a name="line179"></a>            echo "</table>\n\n";
<a name="line180"></a>		}
<a name="line181"></a>        
<a name="line182"></a>        if ($todoFunctions) {
<a name="line183"></a>            echo '<table id="todo_function" class="detail">', "\n";
<a name="line184"></a>            echo '<tr><th colspan="2" class="title">Todo Functions</th></tr>', "\n";
<a name="line185"></a>            foreach($todoFunctions as $function) {
<a name="line186"></a>                $todoTag =& $function->tags('@todo');
<a name="line187"></a>                echo "<tr>\n";
<a name="line188"></a>                echo '<td class="name"><a href="', $function->asPath(), '">', $function->qualifiedName(), "</a></td>\n";
<a name="line189"></a>                echo '<td class="description">';
<a name="line190"></a>                if ($todoTag) echo strip_tags($this->_processInlineTags($todoTag, TRUE), '<a><b><strong><u><em>');
<a name="line191"></a>                echo "</td>\n";
<a name="line192"></a>                echo "</tr>\n";
<a name="line193"></a>            }
<a name="line194"></a>            echo "</table>\n\n";
<a name="line195"></a>        }
<a name="line196"></a>
<a name="line197"></a>        $this->_output = ob_get_contents();
<a name="line198"></a>        ob_end_clean();
<a name="line199"></a>
<a name="line200"></a>        $this->_write('todo-list.html', 'Todo', TRUE);
<a name="line201"></a>	
<a name="line202"></a>	}
<a name="line203"></a>  
<a name="line204"></a>}
<a name="line205"></a>
<a name="line206"></a>?>
<a name="line207"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../overview-files.html">Files</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../todo-list.html">Todo</a></li>
<li><a href="../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../index.html" target="_top">Frames</a>
<a href="../../../source/doclets/standard/todowriter.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>